{ nixpkgs, packages, dhallApps }:

rec {
  nova-image = let
    drv = import ./nova-image {
      stdenv = packages.stdenv;
      inherit nixpkgs dhallApps packages;
    };
  in {
    type = "app";
    program = "${drv}/bin/nova-image";
  };

  nova-iso = let
    drv = import ./nova-iso {
      stdenv = packages.stdenv;
      inherit nixpkgs dhallApps packages nova-image;
    };
  in {
    type = "app";
    program = "${drv}/bin/nova-iso";
  };

}
