{ stdenv, fetchFromGitHub, cmake }:

stdenv.mkDerivation rec {
  pname = "bender";
  version = "1.0.0";

  src = fetchFromGitHub {
    owner = "blitz";
    repo = "bender";
    rev = version;
    sha256 = "0bj9h8q1in1nkbs55lkc4ifawiq5yya842kmiasag3hwcm3vywy3";
  };

  hardeningDisable = [ "all" ];
  enableParallelBuilding = true;

  nativeBuildInputs = [ cmake ];
  cmakeFlags = "-DVERSION=${version}";
}
